## zanshin 0.1+svn1006410

=== CMakeLists.txt ===
project (zanshin)

find_package (KDE4 REQUIRED)
find_package (KdepimLibs REQUIRED)
find_package (Boost REQUIRED)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "KDE PIM libraries" "The KDE PIM libs are required to build Zanshin" "http://www.kde.org")

include(KDE4Defaults)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(tests)

########### zanshin ###############

set(zanshin_SRCS
   actionduedatedelegate.cpp
   actionlistdelegate.cpp
   actionlisteditor.cpp
   actionlistmodel.cpp
   actionlistview.cpp
   configdialog.cpp
   contextsmodel.cpp
   globalmodel.cpp
   kdateedit.cpp
   kdatepickerpopup.cpp
   librarymodel.cpp
   main.cpp
   mainwindow.cpp
   projectsmodel.cpp
   quickselectdialog.cpp
   todocategoriesattribute.cpp
   todocategoriesmodel.cpp
   todoflatmodel.cpp
   todotreemodel.cpp
   sidebar.cpp
)

kde4_add_kcfg_files(zanshin_SRCS globalsettings.kcfgc)

kde4_add_executable(zanshin ${zanshin_SRCS})

target_link_libraries(zanshin ${KDE4_KDEUI_LIBS} ${KDE4_AKONADI_LIBS} ${KDE4_KCAL_LIBS})

########### install files ###############

install(TARGETS zanshin DESTINATION ${BIN_INSTALL_DIR})
install(FILES zanshinui.rc DESTINATION ${DATA_INSTALL_DIR}/zanshin)
install(FILES zanshin.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/..)

macro(zanshin_add_unit_test _testname _extra_sources)
  kde4_add_executable(${_testname} TEST ${_testname}.cpp ${_extra_sources} ${ARGN})
  target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${KDE4_AKONADI_LIBS} ${KDE4_KCAL_LIBS} ${QT_QTTEST_LIBRARY})

  # based on kde4_add_unit_test
  if (WIN32)
    get_target_property( _loc ${_testname} LOCATION )
    set(_executable ${_loc}.bat)
  else (WIN32)
    set(_executable ${EXECUTABLE_OUTPUT_PATH}/${_testname})
  endif (WIN32)
  if (UNIX)
    set(_executable ${_executable}.shell)
  endif (UNIX)

  find_program(_testrunner akonaditest)

  add_test( zanshin-${_testname} 
    ${_testrunner} -c
    ${CMAKE_CURRENT_SOURCE_DIR}/unittestenv/config.xml
    ${_executable} 
  )
endmacro(zanshin_add_unit_test)

zanshin_add_unit_test(librarymodeltest modeltestbase.cpp ../librarymodel.cpp ../todotreemodel.cpp ../todoflatmodel.cpp)
zanshin_add_unit_test(todoflatmodeltest modeltestbase.cpp ../todoflatmodel.cpp)
zanshin_add_unit_test(todotreemodeltest modeltestbase.cpp ../todotreemodel.cpp ../todoflatmodel.cpp)
zanshin_add_unit_test(todocategoriesmodeltest modeltestbase.cpp ../todocategoriesmodel.cpp ../todocategoriesattribute.cpp ../todoflatmodel.cpp)

## zanshin 0.2.0

=== debian/changelog ===
zanshin (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #653943)

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 Jan 2012 20:48:41 +0200

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdepimlibs5-dev,
               libboost-dev,
               pkg-kde-tools
Standards-Version: 3.9.2
Homepage: http://zanshin.kde.org/

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in his job and personal life. You'll never forget anything
 anymore, getting your mind like water.

## zanshin 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
 
 add_subdirectory(src)
+add_subdirectory(tests)

=== tests/CMakeLists.txt ===
add_subdirectory(testlib)

include_directories( ${CMAKE_SOURCE_DIR}/src)

MACRO(ZANSHIN_UNIT_TESTS)
  FOREACH(_testname ${ARGN})
    kde4_add_unit_test(${_testname} TESTNAME zanshin-${_testname} ${_testname}.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
    target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${KDEPIMLIBS_AKONADI_LIBS}
                                       ${KDEPIMLIBS_KCALCORE_LIBS} ${QT_QTTEST_LIBRARY}
                                       zanshin_static
                                       zanshin_testlib
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_UNIT_TESTS)

########### automated tests ###############

ZANSHIN_UNIT_TESTS(
  modelstacktest
  selectionproxymodeltest
  sidebarmodelspec
  todocategoriesmodelspec
  todometadatamodelspec
  todotreemodelspec
)

=== tests/testlib/CMakeLists.txt ===
# Even the test lib needs to be tested. ;-)
add_subdirectory(tests)

########### testlib ###############

set(zanshin_testlib_SRCS
   c.cpp
   cat.cpp
   indent.cpp
   mockmodel.cpp
   modelbuilderbehavior.cpp
   modelnode.cpp
   modelpath.cpp
   modelstructure.cpp
   modeltest.cpp
   modelutils.cpp
   qcompare.cpp
   t.cpp
   v.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/tests)
kde4_add_library(zanshin_testlib STATIC ${zanshin_testlib_SRCS})
target_link_libraries(zanshin_testlib ${KDE4_KDEUI_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_KCALCORE_LIBS} ${QT_QTTEST_LIBRARY})

=== debian/changelog ===
zanshin (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 14 Mar 2012 16:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                kdepimlibs5-dev,
                libboost-dev,
                pkg-kde-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://zanshin.kde.org/
 
 Package: zanshin

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde

override_dh_auto_test:

## zanshin 0.4.0

=== src/akonadi/CMakeLists.txt ===
set(akonadi_SRCS
    akonadiapplicationselectedattribute.cpp
    akonadicollectionfetchjobinterface.cpp
    akonadicollectionsearchjobinterface.cpp
    akonadiconfigdialog.cpp
    akonadicontextqueries.cpp
    akonadicontextrepository.cpp
    akonadidatasourcequeries.cpp
    akonadidatasourcerepository.cpp
    akonadiitemfetchjobinterface.cpp
    akonadilivequeryhelpers.cpp
    akonadilivequeryintegrator.cpp
    akonadimessaging.cpp
    akonadimessaginginterface.cpp
    akonadimonitorimpl.cpp
    akonadimonitorinterface.cpp
    akonadinotequeries.cpp
    akonadinoterepository.cpp
    akonadiprojectqueries.cpp
    akonadiprojectrepository.cpp
    akonadiserializer.cpp
    akonadiserializerinterface.cpp
    akonadistorage.cpp
    akonadistorageinterface.cpp
    akonadistoragesettings.cpp
    akonaditagfetchjobinterface.cpp
    akonaditagqueries.cpp
    akonaditagrepository.cpp
    akonaditaskqueries.cpp
    akonaditaskrepository.cpp
    akonaditimestampattribute.cpp
)

add_library(akonadi STATIC ${akonadi_SRCS})
target_link_libraries(akonadi
    KF5::AkonadiCalendar
    KF5::AkonadiCore
    KF5::AkonadiNotes
    KF5::AkonadiWidgets
    KF5::Mime
    KF5::CalendarCore
    KF5::IdentityManagement
)

=== src/presentation/CMakeLists.txt ===
set(presentation_SRCS
    applicationmodel.cpp
    artifacteditormodel.cpp
    artifactfilterproxymodel.cpp
    availablenotepagesmodel.cpp
    availablepagesmodelinterface.cpp
    availablepagessortfilterproxymodel.cpp
    availabletaskpagesmodel.cpp
    availablesourcesmodel.cpp
    contextpagemodel.cpp
    errorhandler.cpp
    errorhandlingmodelbase.cpp
    metatypes.cpp
    noteinboxpagemodel.cpp
    pagemodel.cpp
    projectpagemodel.cpp
    querytreemodelbase.cpp
    tagpagemodel.cpp
    taskinboxpagemodel.cpp
    tasklistmodel.cpp
    workdaypagemodel.cpp
)

add_library(presentation STATIC ${presentation_SRCS})
target_link_libraries(presentation Qt5::Core Qt5::Gui domain utils)

=== tests/units/testlib/CMakeLists.txt ===
add_definitions(-DSOURCE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\")

zanshin_auto_tests(
  akonadifakedatatest
  akonadifakedataxmlloadertest
  akonadifakestoragetest
  gencollectiontest
  gennotetest
  gentagtest
  gentodotest
  monitorspytest
)

=== debian/changelog ===
zanshin (0.4.0-1build1) yakkety; urgency=medium

  * No-change rebuild against libkf5identitymanagement5abi1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Oct 2016 03:50:56 +0000

zanshin (0.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release. (Closes:  #781153, #817072, #828774) (LP: #1579470)
  * Add a watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdepimlibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libkf5akonadicalendar-dev, libkf5akonadinotes-dev,
      libkf5akonadisearch-dev, libkf5identitymanagement-dev,
      libkf5kontactinterface-dev, libkf5ldap-dev, libkf5runner-dev, and
      libkf5wallet-dev
  * Bump the debhelper compat to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 3.2, according to the upstream build
    system.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, since it
    is not easy to run them.
  * Add Vcs-* fields.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Rewrite copyright from scratch, following copyright-format v1.0.

  [ Fathi Boudra ]
  * Improve long description.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2016 23:36:19 +0200

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper (>= 9),
               libboost-dev,
               pkg-kde-tools (>= 0.15.16),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadinotes-dev,
               libkf5akonadisearch-dev,
               libkf5identitymanagement-dev,
               libkf5kontactinterface-dev,
               libkf5ldap-dev,
               libkf5runner-dev,
               libkf5wallet-dev,
Standards-Version: 3.9.8
Homepage: http://zanshin.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/zanshin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/zanshin.git

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 0.4.1

=== src/widgets/CMakeLists.txt ===
set(widgets_SRCS
    applicationcomponents.cpp
    availablepagesview.cpp
    availablesourcesview.cpp
    datasourcedelegate.cpp
    editorview.cpp
    filterwidget.cpp
    itemdelegate.cpp
    messagebox.cpp
    messageboxinterface.cpp
    newprojectdialog.cpp
    newprojectdialoginterface.cpp
    pageview.cpp
    quickselectdialog.cpp
    quickselectdialoginterface.cpp
    scripteditor.cpp
)

qt5_wrap_ui(widgets_SRCS
    editorview.ui
    filterwidget.ui
    newprojectdialog.ui
)

add_library(widgets STATIC ${widgets_SRCS})
target_link_libraries(widgets
    Qt5::Qml
    Qt5::Widgets
    presentation
    zanshinkdepimstatic
)

=== debian/changelog ===
zanshin (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Sep 2016 06:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zanshin
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: cmake (>= 3.2),
                debhelper (>= 9),

=== debian/watch ===
version=4
http://files.kde.org/zanshin/zanshin-([0-9\.]+)\.tar\.(?:gz|bz2|xz)

## zanshin 0.5.0

=== CMakeLists.txt ===
project(zanshin)
cmake_minimum_required(VERSION 3.2)

find_package(ECM REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMPoQmTools)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Qml Test)
find_package(Boost REQUIRED)
macro(assert_min_ver version)
    set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
    if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
        message(FATAL_ERROR "${msg}")
    endif()
endmacro()

if(APPLE)
    if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
	    "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.6000058")
        # Apple Clang 6.0.0.6000057 is known to fail on some of our code using std::mem_fn
        # but have no issues with boost::mem_fn
	   message("problematic Apple Clang version ${CMAKE_CXX_COMPILER_VERSION}, using boost::mem_fn")
        add_definitions(-DZANSHIN_USE_BOOST_MEM_FN)
    endif()
endif()

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
    set(CMAKE_CXX_STANDARD 14) # Enable C++14, with cmake >= 3.1
    set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
endif()

kde_enable_exceptions()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()

option(ZANSHIN_BUILD_COVERAGE "Build Zanshin with gcov support" OFF)
if(ZANSHIN_BUILD_COVERAGE AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

option(ZANSHIN_BUILD_ASAN "Build Zanshin with asan support" OFF)
if(ZANSHIN_BUILD_ASAN)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fno-optimize-sibling-calls")
   link_libraries("asan")
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
    3rdparty/kdepim/
    3rdparty/kdepim/libkdepim/
)

find_package(KF5 REQUIRED COMPONENTS
    AkonadiCalendar
    AkonadiNotes
    AkonadiSearch
    IdentityManagement
    KontactInterface
    Ldap
    Runner
    Wallet
    WindowSystem
    I18n
    KDELibs4Support
)
find_package(KF5Akonadi "5.1" CONFIG REQUIRED)

add_subdirectory(3rdparty)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/3rdparty)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/testlib")

MACRO(ZANSHIN_MANUAL_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp ${CMAKE_SOURCE_DIR}/src/zanshin/app/dependencies.cpp)
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt5::Test

      akonadi
      domain
      presentation
      scripting
      utils
      widgets
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_MANUAL_TESTS)

MACRO(ZANSHIN_AUTO_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt5::Test

      testlib
      akonadi
      domain
      presentation
      scripting
      utils
      widgets
      KF5::AkonadiXml
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_AUTO_TESTS)

add_subdirectory(features)
add_subdirectory(manual)
add_subdirectory(benchmarks)
add_subdirectory(testlib)
add_subdirectory(units)

=== src/akonadi/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 set(akonadi_SRCS
     akonadiapplicationselectedattribute.cpp
+    akonadicache.cpp
+    akonadicachingstorage.cpp
     akonadicollectionfetchjobinterface.cpp
-    akonadicollectionsearchjobinterface.cpp
     akonadiconfigdialog.cpp
     akonadicontextqueries.cpp
     akonadicontextrepository.cpp
@@ -40,4 +41,6 @@
     KF5::Mime
     KF5::CalendarCore
     KF5::IdentityManagement
+    KF5::ConfigCore
+    KF5::KDELibs4Support
 )

=== src/domain/CMakeLists.txt ===
set(domain_SRCS
    artifact.cpp
    context.cpp
    contextqueries.cpp
    contextrepository.cpp
    datasource.cpp
    datasourcequeries.cpp
    datasourcerepository.cpp
    note.cpp
    notequeries.cpp
    noterepository.cpp
    project.cpp
    projectqueries.cpp
    projectrepository.cpp
    queryresult.cpp
    queryresultinterface.cpp
    queryresultprovider.cpp
    tag.cpp
    tagqueries.cpp
    tagrepository.cpp
    task.cpp
    taskqueries.cpp
    taskrepository.cpp
)

add_library(domain STATIC ${domain_SRCS})
target_link_libraries(domain Qt5::Core)

=== src/presentation/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,14 @@
     pagemodel.cpp
     projectpagemodel.cpp
     querytreemodelbase.cpp
+    runningtaskmodelinterface.cpp
+    runningtaskmodel.cpp
     tagpagemodel.cpp
     taskinboxpagemodel.cpp
     tasklistmodel.cpp
+    taskapplicationmodel.cpp
     workdaypagemodel.cpp
 )
 
 add_library(presentation STATIC ${presentation_SRCS})
-target_link_libraries(presentation Qt5::Core Qt5::Gui domain utils)
+target_link_libraries(presentation Qt5::Core Qt5::Gui KF5::I18n domain utils)

=== src/renku/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(kontact)

=== src/scripting/CMakeLists.txt ===
set(scripting_SRCS
    scripthandler.cpp
    taskaction.cpp
)

add_library(scripting STATIC ${scripting_SRCS})
target_link_libraries(scripting
    Qt5::Core
    Qt5::Qml
)

=== tests/benchmarks/CMakeLists.txt ===
zanshin_manual_tests(
  serializerTest
)

=== tests/testlib/CMakeLists.txt ===
set(testlib_SRCS
   akonadidebug.cpp
   akonadifakedata.cpp
   akonadifakedataxmlloader.cpp
   akonadifakejobs.cpp
   akonadifakemonitor.cpp
   akonadifakestorage.cpp
   akonadifakestoragebehavior.cpp
   akonadistoragetestbase.cpp
   fakejob.cpp
   gencollection.cpp
   gennote.cpp
   gentag.cpp
   gentodo.cpp
   modeltest.cpp
   monitorspy.cpp
   testhelpers.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
add_library(testlib STATIC ${testlib_SRCS})
target_link_libraries(testlib
    KF5::AkonadiCore
    KF5::AkonadiNotes
    KF5::AkonadiXml
    KF5::CalendarCore
    KF5::Mime
    Qt5::Test
    KF5::KDELibs4Support
)

=== tests/units/CMakeLists.txt ===
add_subdirectory(akonadi)
add_subdirectory(domain)
add_subdirectory(presentation)
add_subdirectory(utils)
add_subdirectory(scripting)
add_subdirectory(testlib)
add_subdirectory(widgets)
add_subdirectory(migrator)

=== 3rdparty/cucumber-cpp/src/CMakeLists.txt ===
set(CUKE_SOURCES
    ContextManager.cpp
    CukeCommands.cpp
    CukeEngine.cpp
    CukeEngineImpl.cpp
    StepManager.cpp
    HookRegistrar.cpp
    Regex.cpp
    Scenario.cpp
    Table.cpp
    Tag.cpp
    connectors/wire/WireServer.cpp
    connectors/wire/WireProtocol.cpp
    connectors/wire/WireProtocolCommands.cpp
)

if(GTEST_FOUND)
    include_directories(${GTEST_INCLUDE_DIRS})
    list(APPEND CUKE_SOURCES drivers/GTestDriver.cpp)
endif()

if(CPPSPEC_FOUND)
    include_directories(${CPPSPEC_INCLUDE_DIRS})
    list(APPEND CUKE_SOURCES drivers/CppSpecDriver.cpp)
endif()

if(Boost_UNIT_TEST_FRAMEWORK_FOUND)
    list(APPEND CUKE_SOURCES drivers/BoostDriver.cpp)
endif()

if(CMAKE_EXTRA_GENERATOR OR MSVC_IDE)
    message(STATUS "Adding header files to project")
    file(GLOB_RECURSE CUKE_HEADERS "${CUKE_INCLUDE_DIR}/cucumber-cpp/*.hpp")
    if(MSVC_IDE)
        source_group("Header Files" FILES ${CUKE_HEADERS})
    endif()
    list(APPEND CUKE_SOURCES ${CUKE_HEADERS})
endif()

kde_enable_exceptions()
add_library(cucumber-cpp-nomain STATIC ${CUKE_SOURCES})
add_library(cucumber-cpp STATIC ${CUKE_SOURCES} main.cpp)

=== src/renku/app/CMakeLists.txt ===
set(app_SRCS
    aboutdata.cpp
    dependencies.cpp
    main.cpp
)
ecm_create_qm_loader(app_SRCS zanshin_qt)

add_executable(renku ${app_SRCS})
kde_enable_exceptions()
target_link_libraries(renku
    akonadi
    domain
    presentation
    scripting
    utils
    widgets
)

install(TARGETS renku DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.renku.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES renkuui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/renku)
install(FILES org.kde.renku.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
zanshin (0.5.0-1ubuntu1) bionic; urgency=medium

  * Cherry pick upstream commit to provide a working url for the
    appstream data screenshot
    - debian/patches: upstream_fix-appstream-screenshot.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Mar 2018 19:37:23 +0000

zanshin (0.5.0-1build1) bionic; urgency=medium

  * No change rebuild against KDE PIM 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 00:10:57 +0000

zanshin (0.5.0-1) unstable; urgency=medium

  * New upstream release:
    - ships translations (Closes: #673684)
  * Update the watch file.
  * Add the new required libkf5kdelibs4support-dev, libkf5i18n-dev, and
    libkf5windowsystem-dev build dependencies.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Add the libkf5akonadicontact-dev dependency, to workaround a lack of
    dependency in libkf5akonadicalendar-dev 17.08.x.
  * "Adopt" the package. (Closes: #879441)

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jan 2018 12:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.2),
                debhelper (>= 9),
                libboost-dev,
@@ -11,14 +11,18 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                libkf5akonadicalendar-dev,
+               libkf5akonadicontact-dev,
                libkf5akonadinotes-dev,
                libkf5akonadisearch-dev,
+               libkf5i18n-dev,
                libkf5identitymanagement-dev,
+               libkf5kdelibs4support-dev,
                libkf5kontactinterface-dev,
                libkf5ldap-dev,
                libkf5runner-dev,
                libkf5wallet-dev,
-Standards-Version: 3.9.8
+               libkf5windowsystem-dev,
+Standards-Version: 4.1.3
 Homepage: http://zanshin.kde.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/zanshin.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/zanshin.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

=== debian/watch ===
version=4
https://download.kde.org/stable/zanshin/zanshin-([0-9\.]+)\.tar\.(?:gz|bz2|xz)

## zanshin 0.5.0.1

=== widgets/CMakeLists.txt ===
set(widgets_SRCS
    applicationcomponents.cpp
    availablepagesview.cpp
    availablesourcesview.cpp
    datasourcedelegate.cpp
    editorview.cpp
    filterwidget.cpp
    itemdelegate.cpp
    messagebox.cpp
    messageboxinterface.cpp
    newprojectdialog.cpp
    newprojectdialoginterface.cpp
    pageview.cpp
    pageviewerrorhandler.cpp
    runningtaskwidget.cpp
    quickselectdialog.cpp
    quickselectdialoginterface.cpp
    scripteditor.cpp
    taskapplicationcomponents.cpp
)

ki18n_wrap_ui(widgets_SRCS
    editorview.ui
    filterwidget.ui
    newprojectdialog.ui
)

add_library(widgets STATIC ${widgets_SRCS})
target_link_libraries(widgets
    Qt5::Qml
    Qt5::Widgets
    presentation
    zanshinkdepimstatic
    KF5::WindowSystem
)

=== units/widgets/CMakeLists.txt ===
zanshin_auto_tests(
  applicationcomponentstest
  availablepagesviewtest
  availablesourcesviewtest
  editorviewtest
  filterwidgettest
  newprojectdialogtest
  pageviewerrorhandlertest
  pageviewtest
  quickselectdialogtest
  runningtaskwidgettest
  scripteditortest
  taskapplicationcomponentstest
)

# These tests need a window that takes focus
set_tests_properties(tests-units-widgets-editorviewtest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(tests-units-widgets-pageviewtest PROPERTIES RUN_SERIAL TRUE)

## zanshin 0.5.71

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,9 @@
 include(ECMMarkAsTest)
 include(ECMPoQmTools)
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Qml Test)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
+find_package(Threads REQUIRED)
 macro(assert_min_ver version)
     set(error_msg "${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_VERSION} not supported")
     if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "${version}")
@@ -56,7 +57,11 @@
    link_libraries("asan")
 endif()
 
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_STRICT_ITERATORS
+)
+
 include_directories (
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
@@ -67,16 +72,10 @@
 
 find_package(KF5 REQUIRED COMPONENTS
     AkonadiCalendar
-    AkonadiNotes
-    AkonadiSearch
-    IdentityManagement
     KontactInterface
-    Ldap
     Runner
-    Wallet
     WindowSystem
     I18n
-    KDELibs4Support
 )
 find_package(KF5Akonadi "5.1" CONFIG REQUIRED)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# icons
add_subdirectory(icons)

# frontends
add_subdirectory(zanshin)

# modules
add_subdirectory(akonadi)
add_subdirectory(domain)
add_subdirectory(presentation)
add_subdirectory(integration)
add_subdirectory(utils)
add_subdirectory(widgets)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,16 +14,12 @@
 
   FOREACH(_testname ${ARGN})
     set(_prefixed_testname "${prefix}-${_testname}")
-    add_executable(${_prefixed_testname} ${_testname}.cpp ${CMAKE_SOURCE_DIR}/src/zanshin/app/dependencies.cpp)
+    add_executable(${_prefixed_testname} ${_testname}.cpp)
     kde_enable_exceptions()
     target_link_libraries(${_prefixed_testname}
       Qt5::Test
 
-      akonadi
-      domain
-      presentation
-      scripting
-      utils
+      integration
       widgets
     )
   ENDFOREACH(_testname)
@@ -46,17 +42,39 @@
       Qt5::Test
 
       testlib
-      akonadi
-      domain
-      presentation
-      scripting
-      utils
+      integration
       widgets
       KF5::AkonadiXml
     )
   ENDFOREACH(_testname)
 ENDMACRO(ZANSHIN_AUTO_TESTS)
 
+MACRO(ZANSHIN_FEATURE_TESTS)
+  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
+  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
+  string(REPLACE "/" "-" prefix "${prefix}")
+  string(REPLACE "\\" "-" prefix "${prefix}")
+  string(LENGTH "${prefix}" prefix_length)
+  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)
+
+  FOREACH(_testname ${ARGN})
+    set(_prefixed_testname "${prefix}-${_testname}")
+    add_executable(${_prefixed_testname} ${_testname}.cpp)
+    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
+    kde_enable_exceptions()
+    target_link_libraries(${_prefixed_testname}
+      Qt5::Test
+
+      featurelib
+      testlib
+      integration
+      widgets
+      KF5::AkonadiXml
+    )
+  ENDFOREACH(_testname)
+ENDMACRO(ZANSHIN_FEATURE_TESTS)
+
+add_subdirectory(featurelib)
 add_subdirectory(features)
 add_subdirectory(manual)
 add_subdirectory(benchmarks)

=== src/akonadi/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,8 @@
     akonadiitemfetchjobinterface.cpp
     akonadilivequeryhelpers.cpp
     akonadilivequeryintegrator.cpp
-    akonadimessaging.cpp
-    akonadimessaginginterface.cpp
     akonadimonitorimpl.cpp
     akonadimonitorinterface.cpp
-    akonadinotequeries.cpp
-    akonadinoterepository.cpp
     akonadiprojectqueries.cpp
     akonadiprojectrepository.cpp
     akonadiserializer.cpp
@@ -24,9 +20,6 @@
     akonadistorage.cpp
     akonadistorageinterface.cpp
     akonadistoragesettings.cpp
-    akonaditagfetchjobinterface.cpp
-    akonaditagqueries.cpp
-    akonaditagrepository.cpp
     akonaditaskqueries.cpp
     akonaditaskrepository.cpp
     akonaditimestampattribute.cpp
@@ -36,11 +29,7 @@
 target_link_libraries(akonadi
     KF5::AkonadiCalendar
     KF5::AkonadiCore
-    KF5::AkonadiNotes
     KF5::AkonadiWidgets
-    KF5::Mime
     KF5::CalendarCore
-    KF5::IdentityManagement
     KF5::ConfigCore
-    KF5::KDELibs4Support
 )

=== src/domain/CMakeLists.txt ===
set(domain_SRCS
    context.cpp
    contextqueries.cpp
    contextrepository.cpp
    datasource.cpp
    datasourcequeries.cpp
    datasourcerepository.cpp
    project.cpp
    projectqueries.cpp
    projectrepository.cpp
    queryresult.cpp
    queryresultinterface.cpp
    queryresultprovider.cpp
    task.cpp
    taskqueries.cpp
    taskrepository.cpp
)

add_library(domain STATIC ${domain_SRCS})
target_link_libraries(domain Qt5::Core)

=== src/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    128-apps-zanshin.png
    256-apps-zanshin.png
    48-apps-zanshin.png
    64-apps-zanshin.png
    sc-apps-zanshin.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

=== src/integration/CMakeLists.txt ===
set(integration_SRCS
    dependencies.cpp
)

add_library(integration STATIC ${integration_SRCS})
target_link_libraries(integration
    akonadi
    domain
    presentation
    utils
)

=== src/utils/CMakeLists.txt ===
set(utils_SRCS
    compositejob.cpp
    datetime.cpp
    dependencymanager.cpp
    jobhandler.cpp
)

add_library(utils STATIC ${utils_SRCS})
target_link_libraries(utils
    KF5::CoreAddons
)

=== tests/testlib/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
    akonadistoragetestbase.cpp
    fakejob.cpp
    gencollection.cpp
-   gennote.cpp
-   gentag.cpp
    gentodo.cpp
    modeltest.cpp
    monitorspy.cpp
@@ -21,11 +19,8 @@
 add_library(testlib STATIC ${testlib_SRCS})
 target_link_libraries(testlib
     KF5::AkonadiCore
-    KF5::AkonadiNotes
     KF5::AkonadiXml
     KF5::CalendarCore
-    KF5::Mime
     Qt5::Test
-    KF5::KDELibs4Support
 )

=== 3rdparty/kdepim/libkdepim/CMakeLists.txt ===
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")

set(kdepim_LIB_SRCS
   kdateedit.cpp
   kdatepickerpopup.cpp
)

add_library(zanshinkdepimstatic STATIC ${kdepim_LIB_SRCS})
generate_export_header(zanshinkdepimstatic BASE_NAME kdepim)

target_link_libraries(zanshinkdepimstatic
  KF5::WidgetsAddons
  KF5::I18n
)

=== src/zanshin/app/CMakeLists.txt ===
set(app_SRCS
    aboutdata.cpp
    main.cpp
)
ecm_create_qm_loader(app_SRCS zanshin_qt)
qt5_add_resources(app_SRCS zanshin.qrc)

add_executable(zanshin ${app_SRCS})
kde_enable_exceptions()
target_link_libraries(zanshin
    KF5::XmlGui
    integration
    widgets
)

install(TARGETS zanshin DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.zanshin.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.zanshin.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/zanshin/kontact/CMakeLists.txt ===
set(part_SRCS
    ../app/aboutdata.cpp
    part.cpp
)

add_library(zanshin_part MODULE ${part_SRCS})
kde_enable_exceptions()
target_link_libraries(zanshin_part
    KF5::Parts
    integration
    widgets
)

install(TARGETS zanshin_part DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES zanshin_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

##########################

set(kontact_SRCS
    kontact_plugin.cpp
)

add_library(kontact_zanshinplugin MODULE ${kontact_SRCS})
target_link_libraries(kontact_zanshinplugin KF5::Parts KF5::KontactInterface)

install(TARGETS kontact_zanshinplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES zanshin_plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES zanshin_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/zanshin)

=== debian/changelog ===
zanshin (0.5.71-2) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Fix compilation with KDE Apps 20.08 (Closes: #972224)

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Fix references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 13:52:07 +0200

zanshin (0.5.71-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_fix-appdata-to-use-new-working-screenshot-location.patch: drop,
      backported from upstream
    - upstream_don-t-set-a-zanshin-screenshot-for-renku.patch: drop, backported
      from upstream
    - upstream_Make-it-build-both-with-pre-and-post-19.08.0-KCalCor.patch:
      drop, backported from upstream
    - upstream_Fix-compilation-with-latest-KCalCore-API-changes-Att.patch:
      drop, backported from upstream
    - add-missing-AkonadiContacts-dependency.patch: drop, obsolete
    - replace-Attendee-Ptr-for-19.08-KCalCore.patch: drop, obsolete
  * Update the build dependencies according to the upstream build system:
    - remove unused qtdeclarative5-dev, libkf5akonadinotes-dev,
      libkf5akonadisearch-dev, libkf5identitymanagement-dev,
      libkf5kdelibs4support-dev, libkf5ldap-dev, and libkf5wallet-dev
    - explicitly add gettext
  * Add the configuration for the CI on salsa.
  * Small copyright update.
  * Update the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Jan 2020 00:42:37 +0100

zanshin (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Add patches to fix build with KDEPIM 19.08 (Closes: #945836):
    - upstream_Fix-compilation-with-latest-KCalCore-API-changes-Att.patch
    - upstream_Make-it-build-both-with-pre-and-post-19.08.0-KCalCor.patch
    - add-missing-AkonadiContacts-dependency.patch
    - replace-Attendee-Ptr-for-19.08-KCalCore.patch
  * Add signing key to check signature of upstream tarball.
  * Bump to compat 12 (Use debhelper-compat in B-d).
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Set Rules-Requires-Root: no.
  * Use hardening=+bindnow.
  * Add d/upstream/metadata file.

 -- Sandro Knauß <hefee@debian.org>  Mon, 02 Dec 2019 21:08:55 +0100

zanshin (0.5.0-2) unstable; urgency=medium

  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Backport upstream commit b41538f15c792e2106d6ce266568f9aae12e09c5, and
    0d1e500a88998e3419b3605ddc6435f5be22b056 to fix the screenshots in the
    appdata files; patches
    upstream_fix-appdata-to-use-new-working-screenshot-location.patch, and
    upstream_don-t-set-a-zanshin-screenshot-for-renku.patch.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Oct 2018 09:23:43 +0200

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               gettext,
               libboost-dev,
               pkg-kde-tools (>= 0.15.16),
               extra-cmake-modules,
               qtbase5-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadicontact-dev,
               libkf5i18n-dev,
               libkf5kontactinterface-dev,
               libkf5runner-dev,
               libkf5windowsystem-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/zanshin.git

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/zanshin/zanshin-([0-9\.]+)\.tar\.(?:gz|bz2|xz)

## zanshin 21.11.80

=== debian/changelog ===
zanshin (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Drop included fix-compilation-with-apps2008-upstream-4850c089.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:34:14 +0000

zanshin (0.5.71-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Bump standards version, no changes necessary.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Aug 2021 09:13:54 +0900

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.2),
                debhelper-compat (= 13),
+               extra-cmake-modules,
                gettext,
                libboost-dev,
-               pkg-kde-tools (>= 0.15.16),
-               extra-cmake-modules,
-               qtbase5-dev,
-               libkf5akonadicalendar-dev,
-               libkf5akonadicontact-dev,
+               libkf5akonadicalendar-dev (>= 4:21.11.80~),
+               libkf5akonadicontact-dev (>= 4:21.11.80~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev,
+               libkf5kontactinterface-dev (>= 21.11.80~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://zanshin.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/zanshin
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/zanshin.git

## zanshin 21.12.0

=== debian/changelog ===
zanshin (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:32:31 +0000

zanshin (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:15:33 +0000

zanshin (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:55 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libboost-dev,
               libkf5akonadicalendar-dev (>= 4:21.12.0~),
               libkf5akonadicontact-dev (>= 4:21.12.0~),
               libkf5i18n-dev,
               libkf5kontactinterface-dev (>= 21.12.0~),
               libkf5runner-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 21.12.1

=== debian/changelog ===
zanshin (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:35:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                extra-cmake-modules,
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:21.12.0~),
-               libkf5akonadicontact-dev (>= 4:21.12.0~),
+               libkf5akonadicalendar-dev (>= 4:21.12.1~),
+               libkf5akonadicontact-dev (>= 4:21.12.1~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 21.12.0~),
+               libkf5kontactinterface-dev (>= 21.12.1~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),

## zanshin 21.12.2

=== debian/changelog ===
zanshin (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                extra-cmake-modules,
                gettext,
                libboost-dev,
-               libkf5akonadicalendar-dev (>= 4:21.12.1~),
-               libkf5akonadicontact-dev (>= 4:21.12.1~),
+               libkf5akonadicalendar-dev (>= 4:21.12.2~),
+               libkf5akonadicontact-dev (>= 4:21.12.2~),
                libkf5i18n-dev,
-               libkf5kontactinterface-dev (>= 21.12.1~),
+               libkf5kontactinterface-dev (>= 21.12.2~),
                libkf5runner-dev,
                libkf5windowsystem-dev,
                pkg-kde-tools (>= 0.15.16),
